<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.messaging-activemq.server.jms-queue" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="durable,entries,legacy-entries,selector"/>
        <elem name="addr-params" value="profile,subsystem,server,jms-queue"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <refs>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="durable" nillable="true" stability="default"/>
        <param name="entries" type="List&lt;String&gt;" stability="default"/>
        <param name="legacy-entries" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="selector" nillable="true" stability="default"/>
        <param name="jms-queue" feature-id="true"/>
    </params>
</feature-spec>